<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myShipmentLabel" jhiTranslate="mpmApp.shipment.home.createOrEditLabel">Create or edit a Shipment</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!shipment.idShipment">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="shipment.idShipment" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipment.shipmentNumber" for="field_shipmentNumber">Shipment Number</label>
                    <input type="text" class="form-control" name="shipmentNumber" id="field_shipmentNumber"
                        [(ngModel)]="shipment.shipmentNumber" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipment.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="shipment.description" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipment.dateSchedulle" for="field_dateSchedulle">Date Schedulle</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateSchedulle" name="input_dateSchedulle" [(ngModel)]="shipment.dateSchedulle"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipment.reason" for="field_reason">Reason</label>
                    <input type="text" class="form-control" name="reason" id="field_reason"
                        [(ngModel)]="shipment.reason" />
                </div>

                <div class="form-group" *ngIf="idShipmentType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipment.shipmentType" for="field_shipmentType">Shipment Type</label>
                    <select class="form-control" id="field_shipmentType" name="shipmentType" [(ngModel)]="shipment.shipmentTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipmentTypeOption.idShipmentType" *ngFor="let shipmentTypeOption of shipmenttypes; trackBy: trackShipmentTypeById">{{shipmentTypeOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idShipFrom === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipment.shipFrom" for="field_shipFrom">Ship From</label>
                    <select class="form-control" id="field_shipFrom" name="shipFrom" [(ngModel)]="shipment.shipFromId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idShipTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipment.shipTo" for="field_shipTo">Ship To</label>
                    <select class="form-control" id="field_shipTo" name="shipTo" [(ngModel)]="shipment.shipToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idAddressFrom === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipment.addressFrom" for="field_addressFrom">Address From</label>
                    <select class="form-control" id="field_addressFrom" name="addressFrom" [(ngModel)]="shipment.addressFromId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="postalAddressOption.idContact" *ngFor="let postalAddressOption of postaladdresses; trackBy: trackPostalAddressById">{{postalAddressOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idAddressTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipment.addressTo" for="field_addressTo">Address To</label>
                    <select class="form-control" id="field_addressTo" name="addressTo" [(ngModel)]="shipment.addressToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="postalAddressOption.idContact" *ngFor="let postalAddressOption of postaladdresses; trackBy: trackPostalAddressById">{{postalAddressOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
